=== debian/changelog ===
adios (1.7.0-4) unstable; urgency=medium

  * Provide FindADIOS in cmake 3.0 path. Closes: #758546.
  * Rebuild with new gfortran. Closes: #751248.
  * Split examples into separate package. Closes: #732276.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 12 Sep 2014 08:35:19 +0100

adios (1.7.0-3) unstable; urgency=low

  [ Gilles Filippini ]
  * Support hdf5 1.8.13 new packaging layout. Closes: #756647.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Aug 2014 11:53:10 +0100

adios (1.7.0-2) unstable; urgency=medium

  * PATH not inherited correctly. export it.
  * Cope with python3.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Jun 2014 08:45:36 +0100

adios (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Add adios.pc pkgconfig file. adios_config now uses this.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Jun 2014 23:06:38 +0100

adios (1.6.0-7) unstable; urgency=medium

  * Use python3-all-dev to build on all python3 versions.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 May 2014 03:02:48 +0100

adios (1.6.0-6) unstable; urgency=medium

  * Fix typo that broke build of python2.7 wrapper. Closes: #749009.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 May 2014 11:58:23 +0100

adios (1.6.0-5) unstable; urgency=medium

  * Don't depend on infiniband on hurd, kfreebsd-*
  * Build with serial HDF5 by default; building with mpicc.openmpi collides
    with mpipublic.h internally.
  * Prime CMakeCache.txt with PYTHON_MPI4PY_INCLUDE_DIR so it is found
    on all archs to fix FTBFS.
  * Add initial bash_completion.d completions.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 May 2014 07:02:04 +0100

adios (1.6.0-4) unstable; urgency=medium

  * Add python-adios, python3-adios wrapper packages.
  * Add infiniband, bzip2, libz as 'transports'

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 May 2014 15:05:17 +0100

adios (1.6.0-3) unstable; urgency=medium

  * Ensure makefile doesn't fail on shell conditional in debian/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Mar 2014 21:36:36 +0000

adios (1.6.0-2) unstable; urgency=medium

  * Disable tests on big-endian platforms due to upstream test bug.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Mar 2014 18:38:22 +0000

adios (1.6.0-1) unstable; urgency=medium

  * New upstream. Closes: #732276, #727312.
  * Ship in xz format. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Feb 2014 00:36:53 +0000
