=== debian/control ===
Source: adios
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), libnetcdf-dev, gfortran, libhdf5-dev, libmxml-dev, 
  mpi-default-dev, autotools-dev, cmake, libbz2-dev, zlib1g-dev, dh-autoreconf,
  libibverbs-dev [ !hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  python-dev, python-numpy, python-mpi4py, cython, dh-python,
  python3-all-dev, python3-numpy, python3-mpi4py, cython3
Standards-Version: 3.9.5
Homepage: http://www.olcf.ornl.gov/center-projects/adios/
X-Python-Version: 2.7
X-Python3-Version: 3.3+

Package: libadios-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:  ${misc:Depends}, ${shlibs:Depends}
Recommends: libadios-bin, libadios-examples
Description: ADIOS Adaptable IO system for simulations
 The Adaptable IO System (ADIOS) provides a simple, flexible way for scientists
 to describe the data in their code that may need to be written, read,
 or processed outside of the running simulation. By providing an external
 to the code XML file describing the various elements, their types, and
 how you wish to process them this run, the routines in the host code
 (either Fortran or C) can transparently change how they process the data.


Package: libadios-examples
Architecture: any
Depends:  ${misc:Depends}, ${shlibs:Depends}
Recommends: libadios-dev
Description: ADIOS Adaptable IO system for simulations - exampes
 The Adaptable IO System (ADIOS) provides a simple, flexible way for scientists
 to describe the data in their code that may need to be written, read,
 or processed outside of the running simulation. By providing an external
 to the code XML file describing the various elements, their types, and
 how you wish to process them this run, the routines in the host code
 (either Fortran or C) can transparently change how they process the data.
 .
 This package contains examples for ADIOS.

Package: libadios-bin
Depends:  ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Architecture: any
Multi-Arch: foreign
Recommends: libadios-dev
Description: ADIOS Adaptable IO system for simulations - binaries
 The Adaptable IO System (ADIOS) provides a simple, flexible way for scientists
 to describe the data in their code that may need to be written, read,
 or processed outside of the running simulation. By providing an external
 to the code XML file describing the various elements, their types, and
 how you wish to process them this run, the routines in the host code
 (either Fortran or C) can transparently change how they process the data.
 .
 This package provides tools for use with ADIOS.

Package: python-adios
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Section: python
Architecture: any
Multi-Arch: same
Provides: ${python:Provides}
Description: Python interace to the ADIOS IO system
 This is a Python2 interface to ADIOS.
 .
 The Adaptable IO System (ADIOS) provides a simple, flexible way for scientists
 to describe the data in their code that may need to be written, read,
 or processed outside of the running simulation. By providing an external
 to the code XML file describing the various elements, their types, and
 how you wish to process them this run, the routines in the host code
 (either Fortran or C) can transparently change how they process the data.
 .

Package: python3-adios
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Section: python
Architecture: any
Multi-Arch: same
Provides: ${python:Provides}
Description: Python3 interace to the ADIOS IO system
 This is a Python3 interface to ADIOS.
 .
 The Adaptable IO System (ADIOS) provides a simple, flexible way for scientists
 to describe the data in their code that may need to be written, read,
 or processed outside of the running simulation. By providing an external
 to the code XML file describing the various elements, their types, and
 how you wish to process them this run, the routines in the host code
 (either Fortran or C) can transparently change how they process the data.
 .
